/* -*- mode: c++; c-basic-offset: 4; indent-tabs-mode: nil -*-

this file is part of rcssserver3D
Fri May 9 2003
Copyright (C) 2002,2003 Koblenz University
Copyright (C) 2003 RoboCup Soccer Server 3D Maintenance Group
$Id: kicknrun.h,v 1.2 2004/06/30 22:55:33 kubo Exp $

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; version 2 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef KICKNRUN_H
#define KICKNRUN_H

#include "soccer.h"

class KickNRun : public Soccer
{
public:
    KickNRun();
    virtual ~KickNRun();

    virtual void Behave();

protected:
    void BehaveBeforeKickOff();

    void BehaveKickOff();
    void BehaveMyKickOff();
    void BehaveTheirKickOff();

    void BehavePlayOn(bool kickin=false);
    void BehavePlayOn_GK();

    void BehaveKickIn();
    void BehaveMyKickIn();
    void BehaveTheirKickIn();
};

DECLARE_CLASS(KickNRun)

#endif // KICKNRUN_H
